Update a step
curl --request PATCH \
--url https://api.clipping.cc/v1/reporters/{reporter_id}/workflows/{workflow_id}/steps/{step_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": {},
"prompt_name": "<string>",
"prompt_text": "<string>",
"prompt_schema_json": "<string>",
"order_index": 123
}
'import requests
url = "https://api.clipping.cc/v1/reporters/{reporter_id}/workflows/{workflow_id}/steps/{step_id}"
payload = {
"params": {},
"prompt_name": "<string>",
"prompt_text": "<string>",
"prompt_schema_json": "<string>",
"order_index": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: {},
prompt_name: '<string>',
prompt_text: '<string>',
prompt_schema_json: '<string>',
order_index: 123
})
};
fetch('https://api.clipping.cc/v1/reporters/{reporter_id}/workflows/{workflow_id}/steps/{step_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"step": {
"step_id": "<string>",
"tool_id": "<string>",
"prompt_text": "<string>",
"params": {},
"order_index": 123
}
}{
"erro": "<string>"
}{
"erro": "<string>"
}{
"erro": "<string>"
}Workflows
Update a step
PATCH
/
v1
/
reporters
/
{reporter_id}
/
workflows
/
{workflow_id}
/
steps
/
{step_id}
Update a step
Authorizations
ApiKeyAuthBearerAuth
API key: Authorization: Bearer ck_live_…
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
⌘I